# NuGet Website Privacy Statement

The NuGet Website ([http://nuget.org](http://nuget.org)) (the "Website") is provided by the .NET Foundation (".NET Foundation") as a public service to our users. Your privacy is important to us. Our goal is to provide you with a personalized online experience that provides you with the information, resources, and services that are most relevant and helpful to you. This Privacy Statement has been written to describe the conditions under which the Website is being made available to you. This Privacy Statement describes, among other things, how data obtained during your visit to the Website may be collected and used. We strongly recommend that you read this Privacy Statement carefully. By using the Website, you agree to be bound by the terms of this Privacy Statement. If you do not accept the terms of this Privacy Statement, you must discontinue accessing or otherwise using the Website or any materials obtained from it. If you are dissatisfied with the Website, by all means contact us at info@nuget.org; otherwise, your only recourse is to discontinue using the Website.

The process of maintaining a Website is an evolving one, and .NET Foundation may decide at some point in the future, without advance notice, to modify the terms of this Privacy Statement. Your use of the Website, or materials obtained from the Website, indicates your assent to this Privacy Statement at the time of such use. The effective Privacy Statement will be posted on the Website, and you should check upon every visit to the Website for any changes to this Privacy Statement.

## Sites Covered by this Privacy Statement
This Privacy Statement applies to all .NET Foundation-maintained Web sites related to the NuGet Gallery, domains, information portals, and registries, as well as any other .NET Foundation websites that link to this Privacy Statement.

## Children's Privacy

We are committed to protecting the privacy needs of children, and we encourage parents and guardians to take an active role in their children's online activities and interests. .NET Foundation does not intentionally collect information from children under the age of 13, and .NET Foundation does not target the Website to children.

## Links to Non-.NET-Foundation Web Sites
The Website may provide links to third-party websites for the convenience of our users. If you click on those links, you will leave the Website. .NET Foundation does not control these third-party websites and cannot represent that their policies and practices will be consistent with this Privacy Statement. For example, other websites may collect or use personal information about you in a manner different from that described in this document. Therefore, you should use other websites with caution, and you do so at your own risk. We encourage you to review the privacy policy of any third-party website before submitting personal information.

## TYPES OF INFORMATION WE COLLECT

### Non-Personal Information
Non-personal information is data about usage and service operation that is not directly associated with a specific personal identity. .NET Foundation may collect and analyze non-personal information to evaluate how visitors use the Website.

### Aggregate Information
.NET Foundation may gather aggregate information, which refers to information your computer automatically provides to us and which cannot be tied back to you as a specific individual. Examples include referral data (the websites you visited just before and just after the Website), the Website pages viewed, time spent at the site, and Internet Protocol (IP) addresses. An IP address is a number that is automatically assigned to your computer whenever you access the Internet. For example, when you request a page from teh Website, our servers log your IP address to create aggregate reports on user demographics and traffic patterns and for purposes of system administration.

### Log Files
Every time you request or download a file from the Website, .NET Foundation may store data about these events and your IP address in a log file. .NET Foundation may use this information to analyze trends, administer the Website, track users' movements, and gather broad demographic information for aggregate use or for other business purposes.

### Cookies
The Website may use a feature of your browser to set a "cookie" on your computer. Cookies are small packets of information that a website stores on your computer. The Web site can then read the cookies whenever you visit the Website. We may use cookies in a number of ways, such as to save an authentication token so that you don't have to enter your username and password each time you visit the Website, to deliver content specific to your interests and to track the pages you've visited on the Website. These cookies allow us to use the information we collect to customize your Website experience so that your visit to the Website is as relevant and as valuable to you as possible.

Most browser software can be set up to handle cookies. You may modify your browser preference to provide you with choices relating to cookies. You have the choice to accept all cookies, to be notified when a cookie is set or to reject all cookies. If you choose to reject cookies, certain functions and conveniences of the Website may not work properly, and you may be unable to use those Website services that require registration in order to participate, or you will have to re-enter your username and password each time you visit the Website. Most browsers offer instructions on how to reset the browser to reject cookies in the "Help" section of the toolbar. We do not link non-personal information from cookies to personally identifiable information without your permission.

### Web Beacons
The Website also may use Web beacons to collect non-personal information about your use of the Website. The information collected by web beacons allows us to statistically monitor how many people are using the Website, how many people open our emails, and for what purposes these actions are being taken. Our web beacons are not used to track your activity outside of the Website. .NET Foundation does not link non-personal information from web beacons to personally identifiable information without your permission.

### Personal Information
Personal information is information that is associated with your name or personal identity. .NET Foundation uses personal information to better understand your needs and interests and to provide you with better service. On some Website pages, you may be able to view information about NuGet packages, download NuGet packages, provide feedback, submit information into registries, register for notifications, or upload NuGet packages. The types of personal information you provide to us on these pages may include name, address, phone number, email address, user IDs, passwords, or other information.

## HOW WE USE YOUR INFORMATION
.NET Foundation may use non-personal data that is aggregated for reporting about the Website usability, performance, and effectiveness. It may be used to improve the experience, usability, and content of the Website.

### Information Sharing
We do not sell, rent, or lease any individual's personal information or lists of email addresses to anyone for marketing purposes, and we take commercially reasonable steps to maintain the security of this information. However, .NET Foundation reserves the right to supply any such information to any organization into which .NET Foundation may merge in the future or to which it may make any transfer in order to enable a third party to continue part or all of .NET Foundation's mission. We also reserve the right to release personal information to protect our systems or business, when we reasonably believe you to be in violation of our Terms of Use or if we reasonably believe you to have initiated or participated in any illegal activity. In addition, please be aware that in certain circumstances, .NET Foundation may be obligated to release your personal information pursuant to judicial or other government subpoenas, warrants, or other orders. Certain NuGet repositories on the Website may require you to agree to a third party's legal terms in order to upload or access NuGet packages. We may provide your personal information to the third party if you accept such legal terms.

In keeping with our open process, .NET Foundation may maintain publicly accessible archives for Website activities. For example, submitting the report abuse form may result in your description of the abuse becoming part of the publically accessible archives. In all such cases, we will ensure to the greatest degree possible, that personal information is protected.

Please remember that any information (including personal information) that you disclose in public areas of the Website, such as NuGet package uploads, discussions, and social networking features, becomes public information that others may collect, circulate, and use. Because we cannot and do not control the acts of others, you should exercise caution when deciding to disclose information about yourself or others in public forums such as these.

Given the international scope of .NET Foundation, personal information may be visible to persons outside your country of residence, including to persons in countries that your own country's privacy laws and regulations deem deficient in ensuring an adequate level of protection for such information. If you are unsure whether this privacy statement is in conflict with applicable local rules, you should not submit your information. If you are located within the European Union, you should note that your information will be transferred to the United States, which is deemed by the European Union to have inadequate data protection. Nevertheless, in accordance with local laws implementing European Union Directive 95/46/EC of 24 October 1995 on the protection of individuals with regard to the processing of personal data and on the free movement of such data ("EU Privacy Directive"), individuals located in countries outside of the United States of America who submit personal information do thereby consent to the general use of such information as provided in this Privacy Statement and to its transfer to and/or storage in the United States of America.

If you do not want your personal information collected and used by .NET Foundation, please do not visit the Website or download or upload NuGet packages.

### Security
.NET Foundation makes reasonable efforts to protect personal information by users of the Website, including using firewalls and other security measures on its servers. No server, however, is 100% secure, and you should take this into account when submitting personal or confidential information about yourself on the Website. Much of the personal information is used in conjunction with participation-level services such as sharing and exchanging NuGet packages, so some types of personal information such as your name, company affiliation, and email address will be visible to other participants and to the public. .NET Foundation assumes no liability for the interception, alteration, or misuse of the information you provide. You alone are responsible for maintaining the secrecy of your personal information. Please use care when you access the Website and provide personal information.

### Opting Out
From time to time .NET Foundation may email you electronic newsletters, announcements, surveys or other information. If you prefer not to receive any or all of these communications, you may opt out by following the directions provided within the electronic newsletters and announcements.

### Contacting Us
Questions about this Privacy Statement can be directed to info@nuget.org.